View Issue Details

IDProjectCategoryView StatusLast Update
0020101LazarusLCLpublic2014-01-18 15:06
ReporterwpAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version0.9.31 (SVN) 
Summary0020101: MainMenu and toolbar hints
DescriptionMy application contains a TMainMenu and a TToolbar below, both at the top of the form. Hints are activated and displayed in the statusbar when the mouse hovers above the toolbuttons. However, when a submenu is dropped down and the mouse is above one of the menu items the hints of the underlying toolbuttons are displayed instead which is distracting.

See the enclosed demo project on how to reproduce this issue. When you click on the "File" menu item and move the mouse over the "Open" item the hint in the statusbar is not that of the "Open" item, but one of the underlying toolbuttons (depending on the horizontal position of the mouse cursor).
TagsNo tags attached.
Fixed in Revision36253
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0020086 closedPaul Ishenin "Hints" on non-active window are shown 
related to 0021407 resolvedPaul Ishenin Main menu item hints does not show at runtime 

Activities

2011-08-30 21:45

 

MainMenu and Toolbar Hint Error.zip (5,890 bytes)

Bart Broersma

2012-03-22 20:31

developer   ~0057929

Last edited: 2012-03-22 20:32

Confirmed with Lazarus 0.9.31 r35612 FPC 2.6.0 i386-win32-win32/win64 on Win9x system.

Paul Ishenin

2012-03-23 10:23

manager   ~0057942

Please test and close if ok.

John Repucci

2012-03-24 17:14

reporter   ~0057983

Fixed for my test app, using 36282 !
Thank you.

Issue History

Date Modified Username Field Change
2011-08-30 21:45 wp New Issue
2011-08-30 21:45 wp File Added: MainMenu and Toolbar Hint Error.zip
2011-08-30 21:45 wp Widgetset => Win32/Win64
2011-10-07 09:36 Vincent Snijders LazTarget => 1.2
2011-10-07 09:36 Vincent Snijders Status new => acknowledged
2011-10-07 09:36 Vincent Snijders Target Version => 1.2.0
2011-10-07 10:18 Juha Manninen Relationship added related to 0020086
2012-03-21 18:07 Juha Manninen Relationship added related to 0021407
2012-03-22 20:31 Bart Broersma Note Added: 0057929
2012-03-22 20:31 Bart Broersma Status acknowledged => confirmed
2012-03-22 20:32 Bart Broersma Note Edited: 0057929
2012-03-23 09:55 Paul Ishenin Status confirmed => assigned
2012-03-23 09:55 Paul Ishenin Assigned To => Paul Ishenin
2012-03-23 10:23 Paul Ishenin Fixed in Revision => 36253
2012-03-23 10:23 Paul Ishenin Status assigned => resolved
2012-03-23 10:23 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-03-23 10:23 Paul Ishenin Resolution open => fixed
2012-03-23 10:23 Paul Ishenin Note Added: 0057942
2012-03-24 17:14 John Repucci Note Added: 0057983
2014-01-18 15:06 wp Status resolved => closed